<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames((['placeholder' => 'Search...', 'btn' => 'btn--primary','class'=>NUll]));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter((['placeholder' => 'Search...', 'btn' => 'btn--primary','class'=>NUll]), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars); ?>

<div class="input-group w-auto flex-fill">
    <input type="search" name="search" class="form-control bg--white <?php echo e($class); ?>" placeholder="<?php echo e(__($placeholder)); ?>" value="<?php echo e(request()->search); ?>">
    <button class="btn <?php echo e($btn); ?>" type="submit"><i class="la la-search"></i></button>
</div>
<?php /**PATH /home/ulsitlqp/certified.1-l.site/codecanyon-37346558-escrowlab-escrow-payment-platform/Files/core/resources/views/components/search-key-field.blade.php ENDPATH**/ ?>